package com.wechat.dao;

import java.util.ArrayList;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.RedisGeneratorDao;
import com.wechat.model.responseDto.HotelCompanyResp;
@Repository
public class RedisHotelCompanyDao extends RedisGeneratorDao<String, ArrayList<HotelCompanyResp>> {
	private String tableKey = "RedisHotelCompanyDao";

    public ArrayList<HotelCompanyResp> selectMessageInfo(String infoKey) {
        return selectOne(tableKey, infoKey);
    }

    public void updateMessageInfo(String infoKey, ArrayList<HotelCompanyResp> infoValue) {
        update(tableKey, infoKey, infoValue);
    }

    public void insertMessageInfo(String infoKey, ArrayList<HotelCompanyResp> infoValue) {
        insert(tableKey, infoKey, infoValue);
    }

    public void deleteMessageInfo(String infoKey) {
        delete(tableKey, infoKey);
    }
}
